Subject: Re: How to get rom code to go on FADS?

From: "Dan A. Dickey" <[email-masked]>
Date: Wed, 17 May 2000 22:22:43 -0500

Dan Malek wrote:
>
> Richard Hendricks wrote:
>
> > Interesting.  So clearing the SYPCR early in the ROM code is what
> > was preventing you from getting the code to run stand-alone?
>
> Oh, yes.  Clearing SYPCR is a very bad thing.  You end up with counter
> values set to zero and immediately time out.  It seems a little strange,
> as you have also cleared the enable flags.  I am sure someone at SPS
> could explain the transistors flipping inside the part to make this
> happen.

Ok ok...not *clearing* SYPCR.  :)

Just setting it to 0xFFFFFF88.
	-Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/